(function () {
  let toArray = pseudo => Array.prototype.slice.call(pseudo);
  let find = (selector, parent = document) => toArray(parent.querySelectorAll(selector));

  document.addEventListener('click', e => {
    let elem = e.target;

    if (toArray(elem.classList).indexOf('accordion-title') >= 0 && elem.getAttribute('data-accordion-id')) {
      let accordionid = elem.getAttribute('data-accordion-id'), active = toArray(elem.classList).indexOf('active') >= 0;
      [...find('.accordion-title'), ...find('.accordion-content')].forEach(accordion => {
        if (accordion.getAttribute('data-accordion-id') === accordionid) {
          if (active) {
            accordion.classList.remove('active');
          } else {
            accordion.classList.add('active');
          }
        }
      });

      e.preventDefault();
      e.stopPropagation();
    }
  });
})();
